/*  Canon LIPS IV Driver for PDAPI Ver. 1.0.0
 *  Copyright CANON INC. 2019
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _OPVP_UTILS_H_
#define _OPVP_UTILS_H_

#include <string.h>

#define OPTIONLIST_VALUE_DELIMITER ';'
#define CN_JOB_INFO_HEADER  "CNCompJobInfo="
#define	DEF_NO_ERR	0
#define	DEF_ERR		-1
#define JOBINFO_INIT_MEM_SIZE 4096
#define JOBINFO_REALLOC_MEM_SIZE 1024

#define RET_ERROR -1
#define RET_NOHANDLE 0
#define RET_SUCCESS 1

#define	error_proc(src,line,err)	{\
	if(err == DEF_NO_ERR){err = DEF_ERR;}}

int get_orignalJobInfo(const char* jobInfo, char**originalJobInfo);

#endif
